package com.ruoyi.web.v3.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbEntranceCheckEntity;
import com.ruoyi.web.v3.model.request.HbEntranceCheckPageReq;


/**
 * <p>
 * v3.0进场查验登记 服务类
 * </p>
 */
public interface IHbEntranceCheckService extends IService<HbEntranceCheckEntity> {

    AjaxResult add(HbEntranceCheckEntity request);

    AjaxResult edit(HbEntranceCheckEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbEntranceCheckPageReq  request);

    AjaxResult listAll();
}
